Bug 1273244 - Review Request: gap-pkg-grape - GRaph Algorithms using PErmutation groups
Review Request: gap-pkg-grape - GRaph Algorithms using PErmutation groups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 23:21 EDT by Jerry James
Modified: 2015-11-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-10-19 23:21:44 EDT
Spec URL: https://jjames.fedorapeople.org/gap-pkg-grape/gap-pkg-grape.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-grape/gap-pkg-grape-4.6.1-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: GRAPE is a package for computing with graphs and groups, and is primarily designed for constructing and analyzing graphs related to groups, finite geometries, and designs.

The upstream GRAPE package uses calls to nauty for some functions. Since nauty is excluded from Fedora for license reasons, the Fedora version of GRAPE uses bliss instead.
Comment 1 gil cattaneo 2015-10-22 11:21:05 EDT
can you take this one https://bugzilla.redhat.com/show_bug.cgi?id=970285 for me?
thanks
Comment 2 gil cattaneo 2015-10-22 12:28:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/gil/1273244-gap-pkg-
     grape/licensecheck.txt
   Please, inform upstream
   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
Unknown or generated
--------------------
grape/doc/cnauty.tex
grape/doc/colour.tex
grape/doc/consmod.tex
grape/doc/constr.tex
grape/doc/determin.tex
grape/doc/grape.tex
grape/doc/inspect.tex
grape/doc/manual.tex
grape/doc/partlin.tex
grape/doc/special.tex
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-grape-4.6.1-1.fc24.noarch.rpm
          gap-pkg-grape-4.6.1-1.fc24.src.rpm
gap-pkg-grape.noarch: W: spelling-error Summary(en_US) GRaph -> Graph, Graphs, Grape
gap-pkg-grape.noarch: W: spelling-error %description -l en_US nauty -> nasty, natty, naughty
gap-pkg-grape.noarch: W: only-non-binary-in-usr-lib
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/grape.g
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/smallestimage.g
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-grape/gpl.txt
gap-pkg-grape.src: W: spelling-error Summary(en_US) GRaph -> Graph, Graphs, Grape
gap-pkg-grape.src: W: spelling-error %description -l en_US nauty -> nasty, natty, naughty
2 packages and 0 specfiles checked; 3 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
gap-pkg-grape.noarch: W: only-non-binary-in-usr-lib
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/grape.g
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-grape/gpl.txt
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/smallestimage.g
1 packages and 0 specfiles checked; 3 errors, 1 warnings.



Requires
--------
gap-pkg-grape (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/update-gap-workspace
    bliss
    gap-core



Provides
--------
gap-pkg-grape:
    gap-pkg-grape



Source checksums
----------------
http://www.maths.qmul.ac.uk/~leonard/grape/grape4r6/grape4r6p1.tar.gz :
  CHECKSUM(SHA256) this package     : ac3936afc6dcff75d3ee7eb1451208e65ae9071fee975958a2841fdecc8780f1
  CHECKSUM(SHA256) upstream package : ac3936afc6dcff75d3ee7eb1451208e65ae9071fee975958a2841fdecc8780f1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1273244 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-10-22 12:32:02 EDT
NON blocking issues:
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/gil/1273244-gap-pkg-
     grape/licensecheck.txt
Please, inform upstream
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
Unknown or generated
--------------------
grape/doc/cnauty.tex
grape/doc/colour.tex
grape/doc/consmod.tex
grape/doc/constr.tex
grape/doc/determin.tex
grape/doc/grape.tex
grape/doc/inspect.tex
grape/doc/manual.tex
grape/doc/partlin.tex
grape/doc/special.tex

gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/grape.g
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-grape/gpl.txt
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/smallestimage.g
Please, inform upstream
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 4 gil cattaneo 2015-10-22 12:35:44 EDT
(In reply to gil cattaneo from comment #3)
> NON blocking issues:
> 
> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/lib/gap/pkg/grape/lib/grape.g
> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/share/licenses/gap-pkg-grape/gpl.txt
> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/lib/gap/pkg/grape/lib/smallestimage.g
> Please, inform upstream
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
forgotten these
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/grape.g
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/share/licenses/gap-pkg-grape/gpl.txt
gap-pkg-grape.noarch: E: incorrect-fsf-address /usr/lib/gap/pkg/grape/lib/smallestimage.g
Comment 5 Jerry James 2015-10-22 14:15:39 EDT
(In reply to gil cattaneo from comment #3)
> NON blocking issues:
> [?]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 10 files have unknown license. Detailed
>      output of licensecheck in /home/gil/1273244-gap-pkg-
>      grape/licensecheck.txt
> Please, inform upstream
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Clarification
> Unknown or generated
> --------------------
> grape/doc/cnauty.tex
> grape/doc/colour.tex
> grape/doc/consmod.tex
> grape/doc/constr.tex
> grape/doc/determin.tex
> grape/doc/grape.tex
> grape/doc/inspect.tex
> grape/doc/manual.tex
> grape/doc/partlin.tex
> grape/doc/special.tex

I don't think there is any need to inform upstream of this.  The license is clearly spelled out in doc/grape.tex, which is the master LaTeX file, so the license ends up in the generated PDF.  Furthermore, the license is listed in the actual source files, lib/grape.g and lib/smallestimage.g, as well as in the top-level files COPYING and gpl.txt, and also mentioned in README.

> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/lib/gap/pkg/grape/lib/grape.g
> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/share/licenses/gap-pkg-grape/gpl.txt
> gap-pkg-grape.noarch: E: incorrect-fsf-address
> /usr/lib/gap/pkg/grape/lib/smallestimage.g
> Please, inform upstream
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Yes, this is endemic in the GAP community.  I think that GAP itself started out with the wrong address, and then various authors of GAP addons copied the license file from GAP itself, and so now we've got the wrong address everywhere.  Argh.

I will certainly inform upstream of this issue.

Thank you very much for the review!
Comment 6 Fedora Update System 2015-10-22 18:04:16 EDT
gap-pkg-grape-4.6.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-253cb707ea
Comment 7 Fedora Update System 2015-10-22 18:04:17 EDT
gap-pkg-grape-4.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-906e055dc7
Comment 8 Fedora Update System 2015-10-24 08:06:40 EDT
gap-pkg-grape-4.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gap-pkg-grape'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-906e055dc7
Comment 9 Fedora Update System 2015-10-26 14:28:22 EDT
gap-pkg-grape-4.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gap-pkg-grape'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-253cb707ea
Comment 10 Fedora Update System 2015-10-31 22:29:23 EDT
gap-pkg-grape-4.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-04 17:22:42 EST
gap-pkg-grape-4.6.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.